<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [git-documentdb](./git-documentdb.md) &gt; [GitDocumentDB](./git-documentdb.gitdocumentdb.md) &gt; [delete](./git-documentdb.gitdocumentdb.delete_1.md)

## GitDocumentDB.delete() method

This is an alias of remove()

<b>Signature:</b>

```typescript
delete(jsonDoc: JsonDoc, options?: RemoveOptions): Promise<RemoveResult>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  jsonDoc | [JsonDoc](./git-documentdb.jsondoc.md) |  |
|  options | [RemoveOptions](./git-documentdb.removeoptions.md) |  |

<b>Returns:</b>

Promise&lt;[RemoveResult](./git-documentdb.removeresult.md)<!-- -->&gt;

